> For the complete documentation index, see [llms.txt](https://docs.parallels.com/landing/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/new-rasavdhost.md).

# New-RASAVDHost.md

## NAME

New-RASAVDHost

## SYNOPSIS

The cmdlet creates an object of type Azure Virtual Desktop Host.

## SYNTAX

**New-RASAVDHost** \[\[-[SiteId](#siteid-string)] *(uint)*] -[AzureId](#azureid-string) *(string)* -[HostPoolId](#hostpoolid-string) *(uint)* \[*(*[*CommonParameters*](#CommonParameters)*)*]

**New-RASAVDHost** \[\[-[SiteId](#siteid-string)] *(uint)*] -[HostPoolId](#hostpoolid-string) *(uint)* -[NumberOfHosts](#numberofhosts-string) *(uint)* \[*(*[*CommonParameters*](#CommonParameters)*)*]

## DESCRIPTION

The cmdlet creates an object of type Azure Virtual Desktop Host.

## PARAMETERS

## HostPoolId (uint)

Host Pool Id of the AVD Host.

```
        Required?                    true

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## NumberOfHosts (uint)

Number of Hosts to create from template.

```
        Required?                    true

        Position?                    named

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## AzureId (string)

The Azure Host ID of the AVD Host.

Found as Resource ID in Azure.

```
        Required?                    true

        Position?                    named

        Default value                

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

## SiteId (uint)

Site ID from which to retrieve the AVD Host information.

If the parameter is omitted, the Licensing Server site ID will be used.

```
        Required?                    false

        Position?                    1

        Default value                0

        Accept pipeline input?       false

        Accept wildcard characters?  false
```

(CommonParameters)

```
        This cmdlet supports the common parameters: Verbose, Debug,

        ErrorAction, ErrorVariable, WarningAction, WarningVariable,

        OutBuffer, PipelineVariable, and OutVariable. For more information, see 

        about_CommonParameters documentation. 
```

## INPUTS

-none-

## OUTPUTS

-none-

## EXAMPLES

\*\*---------- EXAMPLE 1 ----------

New-RASAVDHost -HostPoolID 1 -AzureID "/subscriptions/b64739563-74S9-849s-ks94-89sa5nbj83oe/resourceGroups/My-Resource-Group/providers/Microsoft.Compute/virtualMachines/My-Virtual-Machine"

Creates an AVD Host from a Standalone AVD Pool.\
\*\*---------- EXAMPLE 2 ----------

New-RASAVDHost -HostPoolID 1 -NumberOfHosts 2 -SiteID 1

Creates AVD Hosts from a Templated AVD Host Pool.

## RELATED LINKS

* [Get-RASAVDHost](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/get-rasavdhost.md)
* [Remove-RASAVDHost](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/remove-rasavdhost.md)
* [Invoke-RASAVDHost](/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/invoke-rasavdhost.md)


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.parallels.com/landing/ras-powershell-api-guide/v20/parallels-ras-powershell-admin-module/commands/new-rasavdhost.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
